package com.example.ogata.calltaxi;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.v4.app.NotificationManagerCompat;
import android.support.v4.app.RemoteInput;
import android.support.v4.view.ViewPager;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;

public class MyActivity extends Activity {
    public static final String TAG = "TAXI";
    public static final String PREF_NAME = "preferences";
    public static final String KEY_NUMBER = "number";
    public static final int NOTIFICATION_ID = 0;
    public static final String EXTRA_REPLY = "extra_reply";
    private ViewPager mPager;
    private ImageView mSecondIndicator;
    private ImageView mFirstIndicator;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        judgeLaunchReason(getIntent());
    }

    private void judgeLaunchReason(Intent intent) {
        final String ACTION_TAXI = "com.google.android.gms.actions.RESERVE_TAXI_RESERVATION";
        Bundle remoteInputResults = RemoteInput.getResultsFromIntent(intent);
        if (remoteInputResults != null) {
            CharSequence replyMessage = remoteInputResults.getCharSequence(EXTRA_REPLY);
            Log.d(TAG, "replyMessage=" + replyMessage.toString());
            SharedPreferences sp = getSharedPreferences(PREF_NAME, Activity.MODE_PRIVATE);
            SharedPreferences.Editor editor = sp.edit();
            editor.putString(KEY_NUMBER, replyMessage.toString());
            editor.apply();
            NotificationManagerCompat.from(this).cancel(NOTIFICATION_ID);
        }
        if (ACTION_TAXI.equals(intent.getAction())) {
            setContentView(R.layout.activity_taxi);
            setupViews();
        } else {
            setContentView(R.layout.activity_taxi);
            setupViews();
        }
    }

    private void setupViews() {
        mPager = (ViewPager) findViewById(R.id.pager);
        mFirstIndicator = (ImageView) findViewById(R.id.indicator_0);
        mSecondIndicator = (ImageView) findViewById(R.id.indicator_1);
        PagerAdapter adapter = new PagerAdapter(getFragmentManager());
        if (getSharedPreferences(PREF_NAME, MODE_PRIVATE).contains(KEY_NUMBER)) {
            adapter.addFragment(new CallFragment());
            adapter.addFragment(new ResetFragment());
            setIndicator(0);
        } else {
            adapter.addFragment(new SetupFragment());
            findViewById(R.id.trail).setVisibility(View.GONE);
        }
        mPager.setOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            @Override
            public void onPageScrolled(int position, float positionOffset, int positionOffsetPixels) {
            }

            @Override
            public void onPageSelected(int position) {
                setIndicator(position);
            }

            @Override
            public void onPageScrollStateChanged(int state) {
            }
        });

        mPager.setAdapter(adapter);
    }

    private void setIndicator(int i) {
        switch (i) {
            case 0:
                mFirstIndicator.setImageResource(R.drawable.full_10);
                mSecondIndicator.setImageResource(R.drawable.empty_10);
                break;
            case 1:
                mFirstIndicator.setImageResource(R.drawable.empty_10);
                mSecondIndicator.setImageResource(R.drawable.full_10);
                break;
        }
    }
}
