package com.example.ogata.calltaxi;

import android.app.Fragment;
import android.app.Notification;
import android.app.PendingIntent;
import android.content.Intent;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.support.v4.app.NotificationCompat;
import android.support.v4.app.NotificationManagerCompat;
import android.support.v4.app.RemoteInput;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

import static com.example.ogata.calltaxi.MyActivity.EXTRA_REPLY;
import static com.example.ogata.calltaxi.MyActivity.NOTIFICATION_ID;

public class SetupFragment extends Fragment {
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_setup, container, false);
        Button button = (Button) view.findViewById(R.id.btn);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                setup();
            }
        });
        return view;
    }

    private void setup() {
        Intent intent = new Intent(getActivity(), MyActivity.class);
        PendingIntent pendingIntent = PendingIntent.getActivity(getActivity(), 0, intent,
                PendingIntent.FLAG_ONE_SHOT | PendingIntent.FLAG_CANCEL_CURRENT);
        Notification notification = new NotificationCompat.Builder(getActivity())
                .setContentTitle(getString(R.string.voice_notification_title))
                .setContentText(getString(R.string.voice_notification_text))
                .setLargeIcon(BitmapFactory.decodeResource(getResources(), R.drawable.background))
                .setSmallIcon(R.drawable.btn_setup_normal_200)
                .setPriority(NotificationCompat.PRIORITY_MIN)
                .addAction(new NotificationCompat.Action.Builder(
                        R.drawable.ic_mike, getString(R.string.reply_label), pendingIntent)
                        .addRemoteInput(new RemoteInput.Builder(EXTRA_REPLY)
                                .setLabel(getString(R.string.reply_label))
                                .build())
                        .build()).build();
        NotificationManagerCompat.from(getActivity()).notify(NOTIFICATION_ID, notification);
        getActivity().finish();
/*
        NotificationCompat.Builder builder = new NotificationCompat.Builder(getActivity())
                .setContentTitle(getString(R.string.voice_notification_title))
                .setContentText(getString(R.string.voice_notification_text))
                .setLargeIcon(BitmapFactory.decodeResource(getResources(), R.drawable.background))
                .setSmallIcon(R.drawable.btn_setup_normal_200)
                .setPriority(NotificationCompat.PRIORITY_MIN);

        Intent intent = new Intent(getActivity(), MyActivity.class);
        PendingIntent pendingIntent = PendingIntent.getActivity(getActivity(), 0, intent,
                PendingIntent.FLAG_ONE_SHOT | PendingIntent.FLAG_CANCEL_CURRENT);
        Notification notification = builder
                .extend(new NotificationCompat.WearableExtender()
                        .addAction(new NotificationCompat.Action.Builder(
                                R.drawable.ic_mike, getString(R.string.reply_label), pendingIntent)
                                .addRemoteInput(new RemoteInput.Builder(EXTRA_REPLY)
                                        .setLabel(getString(R.string.reply_label))
                                        .build())
                                .build()))
                .build();
        NotificationManagerCompat.from(getActivity()).notify(NOTIFICATION_ID, notification);
        getActivity().finish();
*/
    }
}
